
QGIS Application - Bug report #15623

Error when using "Extract projection"

2016-09-27 05:51 AM - Oskar Karlin

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.2 Regression?: No

Operating System: Mac OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 23546

Description

When I try to extract projection (make a TFW file) for a GEOTIFF in Sweref 99 TM projection I get this error. Worked fine in 2.14.2

AttributeError: 'ExtractThread' object has no attribute 'fileProcessed' 

Traceback (most recent call last):

  File "/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins/GdalTools/tools/doExtractProj.py", line 111, in

accept

    self.extractor.fileProcessed.connect(self.updateProgress)

AttributeError: 'ExtractThread' object has no attribute 'fileProcessed'

Python version: 2.7.10 (default, Jul 30 2016, 18:31:42) [GCC 4.2.1 Compatible Apple LLVM 8.0.0 (clang-800.0.34)] 

QGIS version: 2.16.2 Nødebo, exported 

Python Path:

/Users/Oskar/.qgis2/python/plugins/processing

/Applications/QGIS.app/Contents/MacOS/../Resources/python

/Users/Oskar/.qgis2/python

/Users/Oskar/.qgis2/python/plugins

/Applications/QGIS.app/Contents/MacOS/../Resources/python/plugins

/Library/Frameworks/SQLite3.framework/Versions/C/Python/2.7

/Library/Frameworks/GEOS.framework/Versions/3/Python/2.7/site-packages

/Library/Python/2.7/site-packages/numpy-override

/Library/Python/2.7/site-packages/matplotlib-override

/Library/Frameworks/GDAL.framework/Versions/2.1/Python/2.7/site-packages

/Library/Python/2.7/site-packages/pip-1.5.6-py2.7.egg

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python27.zip

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-darwin

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/plat-mac/lib-scriptpackages

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-tk

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-old

/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload

/Users/Oskar/Library/Python/2.7/lib/python/site-packages

/usr/local/lib/python2.7/site-packages

/Library/Python/2.7/site-packages

/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python

/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/PyObjC

/Users/Oskar/.qgis2//python

/Users/Oskar/.qgis2/python/plugins/DigitizingTools/tools
/Users/Oskar/.qgis2/python/plugins/mmqgis/forms

.

/Applications/QGIS.app/Contents/Resources/python/plugins/fTools/tools

Associated revisions

Revision 5adb90d1 - 2016-10-13 02:07 PM - Alexander Bruy

[gdaltools] add missed signals (fix #15623)

History

#1 - 2016-10-13 05:05 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"5adb90d199eb3020ea5211c0c32f4dad0d7dea9a".

#2 - 2017-09-22 09:55 AM - Jürgen Fischer

- Category set to Unknown
